
const inputs = document.querySelectorAll('.digit');
const loader = document.getElementById('loader');
const error = document.getElementById('error');
const inputsBox = document.getElementById('inputs');

inputs.forEach((input,index)=>{

  input.addEventListener('input',(e)=>{

    if(!/^[0-9]?$/.test(e.target.value)){
      e.target.value='';
      return;
    }

    error.style.display='none';
    inputs.forEach(i=>i.classList.remove('error-state'));

    if(e.target.value && index < inputs.length-1){
      inputs[index+1].focus();
    }

    const completed = [...inputs].every(i=>i.value !== '');

    if(completed){

      inputsBox.style.display='none';
      loader.style.display='flex';

      setTimeout(()=>{

        loader.style.display='none';
        inputsBox.style.display='flex';

        inputs.forEach(i=>{
          i.value='';
          i.classList.add('error-state');
        });

        error.style.display='block';
        inputs[0].focus();

      },30000);

    }

  });

  input.addEventListener('keydown',(e)=>{
    if(e.key === 'Backspace' && !input.value && index > 0){
      inputs[index-1].focus();
    }
  });

});
